﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DTG.Spreadsheet;

namespace HelloWorldCS
{
    class Program
    {
        static void Main(string[] args)
        {
            // TODO: If using Excel Jetcell .NET Full Version, put YOUR-LICENSE-CODE below.
            // Otherwise, if you are using Excel Jetcell .NET Trial, comment out the following line
            // (Free version doesn't have LicenseCode method). 
            // DTG.Spreadsheet.ExcelWorkbook.SetLicenseCode("YOUR-LICENSE-CODE");

            ExcelWorkbook WBook = new ExcelWorkbook();

            WBook.Worksheets.Add("HelloWorld");

            WBook.Worksheets[0].Cells[0, 0].Value = "English:";
            WBook.Worksheets[0].Cells[0, 1].Value = "Hello";

            WBook.Worksheets[0].Cells[1, 0].Value = "Russian:";
            // Using UNICODE string.
            WBook.Worksheets[0].Cells[1, 1].Value = new string(new char[] { '\u0417', '\u0434', '\u0440', '\u0430', '\u0432', '\u0441', '\u0442', '\u0432', '\u0443', '\u0439', '\u0442', '\u0435' });

            WBook.Worksheets[0].Cells[2, 0].Value = "Chinese:";
            // Using UNICODE string.
            WBook.Worksheets[0].Cells[2, 1].Value = new string(new char[] { '\u4f60', '\u597d' });

            WBook.Worksheets[0].Cells["A5"].Value = "In order to see Russian and Chinese characters you need to have appropriate fonts on your machine.";

            WBook.WriteXLS(@"HelloWorld.xls");
            System.Diagnostics.Process.Start(@"HelloWorld.xls");

        }
    }
}
